summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2013-01-24 13:49:17 -0800
committerBrian Behlendorf <[email protected]>2013-01-24 13:53:12 -0800
commit563103decdca7c06850ca0909e5c8f8b4b0c0fe5 (patch)
tree9510b530a86d8e8a6e1658c89b001ee8c32ffd80 /scripts
parentbf01b5e6161b4aa94c69792e50de4102a033be09 (diff)
Fix test script error codes
The 'exit $?' command in the INT TERM EXIT trap was overwritting the expected error code with the error code from mv. Fix the issue by removing the 'exit $?'. It's important the we preserve the original error code so failures are easily noticed. Signed-off-by: Brian Behlendorf <[email protected]>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/common.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/common.sh.in b/scripts/common.sh.in
index 3c1182016..f087f4431 100644
--- a/scripts/common.sh.in
+++ b/scripts/common.sh.in
@@ -124,7 +124,7 @@ init() {
# set to ensure the udev rule is correctly replaced on exit.
local RULE=${udevruledir}/90-zfs.rules
if test -e ${RULE}; then
- trap "mv ${RULE}.disabled ${RULE}; exit $?" INT TERM EXIT
+ trap "mv ${RULE}.disabled ${RULE}" INT TERM EXIT
mv ${RULE} ${RULE}.disabled
fi
}